execute align xyz positioned ~.5 ~.5 ~.5 unless block ~ ~ ~ #vu:air run return fail

# pig

## saddle

execute if score #settings vanilla_utilities.settings.entity.pig_saddle matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @e[type=pig,nbt={Saddle:1b},distance=..6] as @e[type=pig,nbt={Saddle:1b},distance=..6] at @s run function vu:ray/pig.saddle

# strider

## saddle

execute if score #settings vanilla_utilities.settings.entity.strider_saddle matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @e[type=strider,nbt={Saddle:1b},distance=..6] as @e[type=strider,nbt={Saddle:1b},distance=..6] at @s run function vu:ray/strider.saddle

# cow

execute if score #settings vanilla_utilities.settings.entity.cow_leather matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @e[type=cow,distance=..6] as @e[type=cow,distance=..6] at @s run function vu:ray/cow.leather

# chicken

execute if score #settings vanilla_utilities.settings.entity.chicken_feather matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @e[type=chicken,distance=..6] as @e[type=chicken,distance=..6] at @s run function vu:ray/chicken.feather

# armor stand

## swap
execute if score #settings vanilla_utilities.settings.entity.armor_stand.swap matches 0 run execute if entity @s[nbt=!{SelectedItem:{}}] run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.swap
execute if score #settings vanilla_utilities.settings.entity.armor_stand.swap matches 0 run execute if entity @s[nbt=!{SelectedItem:{}}] run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.swap

## arms
execute if score #settings vanilla_utilities.settings.entity.armor_stand.arms matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:stick","count":{"min":2,"max":99}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.arms
execute if score #settings vanilla_utilities.settings.entity.armor_stand.arms matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:stick","count":{"min":2,"max":99}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.arms

## plate
execute if score #settings vanilla_utilities.settings.entity.armor_stand.plate matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:smooth_stone_slab","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.plate
execute if score #settings vanilla_utilities.settings.entity.armor_stand.plate matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:smooth_stone_slab","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.plate

## inv
execute if score #settings vanilla_utilities.settings.entity.armor_stand.inv matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:potion","count":{"min":1,"max":99},"components":{"minecraft:potion_contents":"minecraft:invisibility"}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.inv
execute if score #settings vanilla_utilities.settings.entity.armor_stand.inv matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:potion","count":{"min":1,"max":99},"components":{"minecraft:potion_contents":"minecraft:invisibility"}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.inv
execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:glass_bottle","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1,nbt={Invisible:1b}] at @s run function vu:ray/armor_stand.inv
execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:glass_bottle","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1,nbt={Invisible:1b}] at @s run function vu:ray/armor_stand.inv

## small
execute if score #settings vanilla_utilities.settings.entity.armor_stand.small matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:potion","count":{"min":1,"max":99},"components":{"minecraft:potion_contents":"minecraft:weakness"}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.small
execute if score #settings vanilla_utilities.settings.entity.armor_stand.small matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:potion","count":{"min":1,"max":99},"components":{"minecraft:potion_contents":"minecraft:weakness"}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1] at @s run function vu:ray/armor_stand.small
execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:glass_bottle","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1,nbt={Small:1b}] at @s run function vu:ray/armor_stand.small
execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:glass_bottle","count":{"min":1,"max":99}}}}} run execute align xyz positioned ~.5 ~-1 ~.5 if entity @n[type=armor_stand,distance=...1] as @n[type=armor_stand,distance=...1,nbt={Small:1b}] at @s run function vu:ray/armor_stand.small

# item frames

execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=#vu:item_frames,distance=...1,nbt=!{Invisible:1b}] as @n[type=#vu:item_frames,distance=...1] at @s run function vu:ray/item_frame
execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:glow_ink_sac"}}}} run execute align xyz positioned ~.5 ~ ~.5 if entity @n[type=#vu:item_frames,distance=...1,nbt={Invisible:1b}] as @n[type=#vu:item_frames,distance=...1] at @s run function vu:ray/item_frame

# cauldron

execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"#vu:cauldron_items"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ water_cauldron run function vu:ray/cauldron

# anvil

execute if score #settings vanilla_utilities.settings.block.anvil_repair matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:iron_block"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ #vu:anvils run function vu:ray/anvil

# sponge

execute if score #settings vanilla_utilities.settings.block.sponge_drying matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:bucket"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ wet_sponge run function vu:ray/sponge

# moss

execute if score #settings vanilla_utilities.settings.block.mossy_remove matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:shears"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ #vu:mossy run function vu:ray/moss
execute if score #settings vanilla_utilities.settings.block.mossy_add matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:vine"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ #vu:not_mossy run function vu:ray/mossy

# flowers

execute if score #settings vanilla_utilities.settings.block.small_flowers_dup matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:bone_meal"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ #vu:small_flowers run function vu:ray/flowers

# ladders

execute if score #settings vanilla_utilities.settings.block.ladder_underneath matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:ladder"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~-1 ~ #air if block ~ ~ ~ ladder run function vu:ray/ladders

# bed

execute if score #settings vanilla_utilities.settings.block.bed_banners matches 0 run execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"#minecraft:banners"}}}} run execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ #minecraft:beds[part=foot] run function vu:ray/bed

# cake

execute if predicate {"condition":"minecraft:entity_properties","entity":"this","predicate":{"equipment":{"mainhand":{"items":"minecraft:cake"}}}} run execute if entity @s[advancements={vu:cake/cake=true}] align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ cake run function vu:cake/place

# spawner

execute align xyz positioned ~.5 ~ ~.5 if block ~ ~ ~ spawner run function vu:ray/spawner

# #

scoreboard players remove @s vanilla_utilities.ray 1
execute if score @s vanilla_utilities.ray matches ..60 positioned ^ ^ ^.1 run function vu:ray/ray